<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\ActivityBundle\Tests\Export\Export\LinkedToPerson;

use Chill\ActivityBundle\Export\Export\LinkedToPerson\ListActivity;
use Chill\MainBundle\Test\Export\AbstractExportTest;
use Prophecy\PhpUnit\ProphecyTrait;

/**
 * @internal
 * @coversNothing
 */
final class ListActivityTest extends AbstractExportTest
{
    use ProphecyTrait;

    private ListActivity $export;

    protected function setUp(): void
    {
        self::bootKernel();

        $this->export = self::$container->get('chill.activity.export.list_activity_linked_to_person');

        $request = $this->prophesize()
            ->willExtend(\Symfony\Component\HttpFoundation\Request::class);

        $request->getLocale()->willReturn('fr');

        self::$container->get('request_stack')
            ->push($request->reveal());
    }

    public function getExport()
    {
        return $this->export;
    }

    public function getFormData()
    {
        return [
            ['fields' => [
                'id',
                'date',
                'durationTime',
                'attendee',
                'user_username',
                'circle_name',
                'type_name',
                'person_firstname',
                'person_lastname',
                'person_id',
            ]],
            ['fields' => [
                'id',
                'list_reasons',
            ]],
        ];
    }

    public function getModifiersCombination()
    {
        return [
            ['activity'],
            ['activity', 'person'],
        ];
    }
}
