<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\ActivityBundle\Tests\Export\Export\LinkedToPerson;

use Chill\ActivityBundle\Export\Export\LinkedToPerson\StatActivityDuration;
use Chill\MainBundle\Test\Export\AbstractExportTest;

/**
 * Test the "sum" part of StatActivityDuration.
 *
 * @internal
 * @coversNothing
 */
final class StatActivityDurationTest extends AbstractExportTest
{
    private StatActivityDuration $export;

    protected function setUp(): void
    {
        self::bootKernel();

        $this->export = self::$container->get('chill.activity.export.sum_activity_duration_linked_to_person');
    }

    public function getExport()
    {
        return $this->export;
    }

    public function getFormData(): array
    {
        return [
            [],
        ];
    }

    public function getModifiersCombination(): array
    {
        return [
            ['activity'],
            ['activity', 'person'],
        ];
    }
}
