<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\DocGeneratorBundle\Service\Generator;

use Chill\DocGeneratorBundle\Entity\DocGeneratorTemplate;
use Chill\DocStoreBundle\Entity\StoredObject;
use Chill\MainBundle\Entity\User;
use Symfony\Component\HttpFoundation\File\File;

interface GeneratorInterface
{
    /**
     * @template T of File|null
     * @template B of bool
     * @param B $isTest
     * @param (B is true ? T : null) $testFile
     * @psalm-return (B is true ? string : null)
     * @throws \Symfony\Component\Serializer\Exception\ExceptionInterface|\Throwable
     */
    public function generateDocFromTemplate(
        DocGeneratorTemplate $template,
        int                  $entityId,
        array                $contextGenerationDataNormalized,
        ?StoredObject        $destinationStoredObject = null,
        bool                 $isTest = false,
        ?File                $testFile = null,
        ?User                $creator = null
    ): ?string;
}
