<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Form\Type;

use Chill\MainBundle\Entity\Center;
use Chill\MainBundle\Entity\PermissionsGroup;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ComposedGroupCenterType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->add('permissionsgroup', EntityType::class, [
            'class' => \Chill\MainBundle\Entity\PermissionsGroup::class,
            'choice_label' => static fn (PermissionsGroup $group) => $group->getName(),
        ])->add('center', EntityType::class, [
            'class' => \Chill\MainBundle\Entity\Center::class,
            'choice_label' => static fn (Center $center) => $center->getName(),
        ]);
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefault('data_class', \Chill\MainBundle\Entity\GroupCenter::class);
    }

    public function getBlockPrefix()
    {
        return 'composed_groupcenter';
    }
}
