<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Security\Authorization;

use Chill\MainBundle\Security\Resolver\CenterResolverDispatcherInterface;
use Chill\MainBundle\Security\Resolver\CenterResolverManagerInterface;

final class DefaultVoterHelperGenerator implements VoterGeneratorInterface
{
    private array $configuration = [];

    public function __construct(
        private readonly AuthorizationHelper $authorizationHelper,
        private readonly CenterResolverManagerInterface $centerResolverDispatcher
    ) {
    }

    public function addCheckFor(?string $subject, array $attributes): self
    {
        $this->configuration[] = [$attributes, $subject];

        return $this;
    }

    public function build(): VoterHelperInterface
    {
        return new DefaultVoterHelper(
            $this->authorizationHelper,
            $this->centerResolverDispatcher,
            $this->configuration
        );
    }
}
