<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Export\Export;

use Chill\MainBundle\Test\Export\AbstractExportTest;
use Chill\PersonBundle\Export\Declarations;
use Chill\PersonBundle\Export\Export\CountAccompanyingPeriodWork;

/**
 * @internal
 * @coversNothing
 */
final class CountAccompanyingPeriodWorkTest extends AbstractExportTest
{
    private CountAccompanyingPeriodWork $export;

    protected function setUp(): void
    {
        self::bootKernel();

        $this->export = self::$container->get('chill.person.export.count_social_work_actions');
    }

    public function getExport()
    {
        return $this->export;
    }

    public function getFormData(): array
    {
        return [[]];
    }

    public function getModifiersCombination()
    {
        return [[Declarations::SOCIAL_WORK_ACTION_TYPE]];
    }
}
