<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Export\Export;

use Chill\MainBundle\Test\Export\AbstractExportTest;
use Chill\PersonBundle\Export\Declarations;
use Chill\PersonBundle\Export\Export\StatAccompanyingCourseDuration;
use DateTime;

/**
 * @internal
 * @coversNothing
 */
final class StatAccompanyingCourseDurationTest extends AbstractExportTest
{
    private StatAccompanyingCourseDuration $export;

    protected function setUp(): void
    {
        self::bootKernel();

        $this->export = self::$container->get('chill.person.export.avg_accompanyingcourse_duration');
    }

    public function getExport()
    {
        return $this->export;
    }

    public function getFormData(): array
    {
        return [
            ['closingdate' => DateTime::createFromFormat('Y-m-d', '2022-06-30')],
        ];
    }

    public function getModifiersCombination()
    {
        return [[Declarations::ACP_TYPE]];
    }
}
