<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\PersonBundle\Tests\Export\Filter\AccompanyingCourseFilters;

use Chill\MainBundle\Test\Export\AbstractFilterTest;
use Chill\PersonBundle\Entity\AccompanyingPeriod;
use Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\StepFilter;

/**
 * @internal
 * @coversNothing
 */
final class StepFilterTest extends AbstractFilterTest
{
    private StepFilter $filter;

    protected function setUp(): void
    {
        self::bootKernel();

        $this->filter = self::$container->get('chill.person.export.filter_step');
    }

    public function getFilter()
    {
        return $this->filter;
    }

    public function getFormData(): array
    {
        return [
            ['accepted_steps' => AccompanyingPeriod::STEP_DRAFT],
            ['accepted_steps' => AccompanyingPeriod::STEP_CONFIRMED],
            ['accepted_steps' => AccompanyingPeriod::STEP_CLOSED],
        ];
    }

    public function getQueryBuilders(): array
    {
        if (null === self::$kernel) {
            self::bootKernel();
        }

        $em = self::$container->get('doctrine.orm.entity_manager');

        return [
            $em->createQueryBuilder()
                ->select('acp.id')
                ->from('ChillPersonBundle:AccompanyingPeriod', 'acp'),
        ];
    }
}
