<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\PersonBundle\Tests\Export\Filter\PersonFilters;

use Chill\MainBundle\Test\Export\AbstractFilterTest;
use Chill\PersonBundle\Entity\Person;
use Chill\PersonBundle\Export\Filter\PersonFilters\GenderFilter;

/**
 * @internal
 * @coversNothing
 */
final class GenderFilterTest extends AbstractFilterTest
{
    private GenderFilter $filter;

    protected function setUp(): void
    {
        self::bootKernel();

        $this->filter = self::$container->get('chill.person.export.filter_gender');
    }

    public function getFilter()
    {
        return $this->filter;
    }

    public function getFormData()
    {
        return [
            [
                'accepted_genders' => [Person::FEMALE_GENDER],
            ],
            [
                'accepted_genders' => [Person::MALE_GENDER],
            ],
            [
                'accepted_genders' => [Person::MALE_GENDER, Person::BOTH_GENDER],
            ],
        ];
    }

    public function getQueryBuilders()
    {
        if (null === self::$kernel) {
            self::bootKernel();
        }

        $em = self::$container
            ->get('doctrine.orm.entity_manager');

        return [
            $em->createQueryBuilder()
                ->select('p.firstName')
                ->from('ChillPersonBundle:Person', 'p'),
        ];
    }
}
